// 通用备注信息，包含一个纯文本元素，内容中包含作者和请求ID的占位符
export const commonNote = {
  tag: "note",
  elements: [
    {
      tag: "plain_text",
      content: "💡 功能由${xAuthor}提供支持，Rid：${requestId}",
    },
  ],
}

// 成功消息的头部信息，包含绿色模板和标题
export const successHeader = {
  template: "green",
  title: {
    content: "${xIcon} 感谢使用 ${xName}",
    tag: "plain_text",
  },
}

// 错误消息的头部信息，包含红色模板和标题
export const errorHeader = {
  template: "red",
  title: {
    content: "⛔ ${xName} 错误提示",
    tag: "plain_text",
  },
}

// 待处理消息的头部信息，包含紫色模板和标题
export const pendingHeader = {
  template: "purple",
  title: {
    content: "${xIcon} 感谢使用 ${xName}",
    tag: "plain_text",
  },
}

// 基础成功卡片，包含markdown内容、水平分割线和通用备注信息
export const baseSuccessCard = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${content}",
    },
    {
      tag: "hr",
    },
    commonNote,
  ],
  header: successHeader,
}

// 基础错误卡片，包含markdown内容、水平分割线和通用备注信息
export const baseErrorCard = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${content}",
    },
    {
      tag: "hr",
    },
    commonNote,
  ],
  header: errorHeader,
}

// 基础待处理卡片，包含markdown内容、水平分割线和通用备注信息
export const basePendingCard = {
  config: {
    update_multi: true,
  },
  elements: [
    {
      tag: "markdown",
      content: "${content}",
    },
    {
      tag: "hr",
    },
    commonNote,
  ],
  header: pendingHeader,
}
